<template>

    <!-- 

    question: 3

    ---------------------------------------------------------- -->
    <div class='swiper-slide selection-question ' data-hash='Q3'>
        <div class='outer'>
            <h1>How much material do you plan to shred per day?</h1>
            <p>
                How much you plan to shred is one of the biggest factors on the size of the shredder you need. This amount gets underestimated which results in a shredder that can't keep up with demands. <strong>Your shred volume will increase over time so be sure to factor in growth.</strong>
            </p>
            <div class='paper-stacks'>
                <label v-on:click="pickAnswer('0-1k')" class='button has-figure'>
                    <span class='button-figure figure-1k'></span>
                    <span class='button-caption'>Less than 1k</span>
                </label>
                <label v-on:click="pickAnswer('1k-4k')" class='button has-figure'>
                    <span class='button-figure figure-4k'></span>
                    <span class='button-caption'>Between 1k&mdash;4k</span>
                </label>
                <label v-on:click="pickAnswer('4k-8k')" class='button has-figure'>
                    <span class='button-figure figure-8k'></span>
                    <span class='button-caption'>Between 4k&mdash;8k</span>
                </label>

                <label v-on:click="pickAnswer('8k-12k')" class='button has-figure'>
                    <span class='button-figure figure-12k'></span>
                    <span class='button-caption'>Between 8k&mdash;12k</span>
                </label>

                <label v-on:click="pickAnswer('12k+')" class='button has-figure'>
                    <span class='button-figure figure-16k'></span>
                    <span class='button-caption'>More than 12k</span>
                </label>
            </div>
        </div>
    </div>
</template>

<script>
  import { mapGetters, mapMutations } from 'vuex'

  export default {
    name: 'Question3',
    computer: {
      ...mapGetters(['isQuestion', 'answers']),
    },

    methods: {
      ...mapMutations(['goto', 'setCapacity']),

      pickAnswer(answer) {
        this.setCapacity(answer);
        this.goto(4);
      }
    }
  }
</script>